## Class cdata

zeep::xml::cdata

## Synopsis

    // In header: </home/maarten/projects/libzeep/zeep/xml/node.hpp>

    class cdata : public zeep::xml::text {
    public:
      // construct/copy/destruct
      cdata();
      cdata(const std::string &);

      // public member functions
      void write(writer &) const;
      bool equals(const node *) const;
      node * clone() const;
    };

## Description

A node containing the contents of a CDATA section. Normally, these nodes are converted to text nodes but you can specify to preserve them when parsing a document.

### `cdata` public construct/copy/destruct

1.     cdata();

2.     cdata(const std::string & s);

### `cdata` public member functions

1.     void write(writer & w) const;

   writing out

2.     bool equals(const node * n) const;

   Compare the node with n.

3.     node * clone() const;

   Deep clone the node.